<?php
/**
 * 
 * @file ad.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once('class_ad.php');

$url = 'mod_ad/ad.php';
Common::checkAdminFileAuth($url); //check file authority
$clComAd = new ComAd();

if (!isset($act)) $act = '';
switch ($act) {
    case 'setvalue':
        $clComAd -> setAdFieldRecords();
        break;

    case 'delete_forever':
        $clComAd -> deleteRecords();
        break;

    default :
        $clComAd -> layout_ad();
        break;
} 

?>